<?php
	function mod_statistic($module_id){
        $inCore = cmsCore::getInstance();
        $inDB = cmsDatabase::getInstance();
		$cfg = $inCore->loadModuleConfig($module_id);
		if ($cfg['menuid']>0) {
			$menuid = $cfg['menuid'];
		} else {
			$menuid = $inCore->menuId();
		}
		if (!isset($cfg['total_member'])) 				{ $cfg['total_member']				= 1;}
		if (!isset($cfg['member_online'])) 				{ $cfg['member_online']				= 1;}
		if (!isset($cfg['latest_member'])) 				{ $cfg['latest_member'] 			= 1;}
		if (!isset($cfg['number_register_today'])) 		{ $cfg['number_register_today'] 	= 1;}
		if (!isset($cfg['number_register_thisweek'])) 	{ $cfg['number_register_thisweek']	= 1;}
		if (!isset($cfg['number_register_this_month'])) { $cfg['number_register_this_month']= 1;}
		$info = array();
//   
		$info['total_num_member'] = $inDB->rows_count('cms_users','is_deleted=0');
		$info['total_num_member_noav'] = $inDB->rows_count('cms_users','is_deleted=0 and is_locked=1 and last_ip = ""');
		$info['total_num_member_lock'] = $inDB->rows_count('cms_users','is_deleted=0 and is_locked=1 and last_ip != ""');
		$info['total_num_member_del'] = $inDB->rows_count('cms_users','is_deleted=1');
		$info['member_online'] = $inDB->rows_count('cms_online','user_id != 0');
		$info['guest_online'] = $inDB->rows_count('cms_online','user_id = 0');
		$today 	= date("Y-m-d");
		$week 	= date('W');
		$month	= date("Y-m");
		$year 	= date("Y");
		$sql = "SELECT regdate FROM cms_users WHERE is_deleted = 0";
		$result = $inDB->query($sql);
		$num_today 		= 0; 
		$num_week 		= 0; 
		$num_month 		= 0; 
		$num_year 		= 0;
		while($usr = $inDB->fetch_assoc($result)){
			$registertime = $usr['regdate'];
			$week_register = date('W',strtotime($registertime));
			if (substr($registertime,0,4)==$year) {
				$num_year++;	
			}
			if(substr($registertime,0,7)==$month) {
				$num_month++;
			}
			if((substr($registertime,0,4)==$year) & ($week == $week_register)) {
				$num_week++;		
			}
			if(substr($registertime,0,10)==$today) {
				$num_today++;
			}
		}
		$info['number_year']  = $num_year;
		$info['number_month'] = $num_month;
		$info['number_week']  = $num_week;
		$info['number_today'] = $num_today;
//    
		$info['total_num_ads'] = $inDB->rows_count('cms_board_items','published=1');
		$info['total_num_ads_today'] = $inDB->rows_count('cms_board_items','published=1 AND date_format(pubdate,"%Y%m%d")=date_format(NOW(),"%Y%m%d")');
//    
		$info['total_num_postblog'] = $inDB->rows_count('cms_blog_posts','published=1');
		$info['total_num_postblog_today'] = $inDB->rows_count('cms_blog_posts','published=1 AND date_format(pubdate,"%Y%m%d")=date_format(NOW(),"%Y%m%d")');
//   
		$total_num_filesblogs = $inDB->rows_count('cms_blog_files','id!=0');
		$total_num_filesforum = $inDB->rows_count('cms_forum_files','id!=0');
		$total_num_filesusers = $inDB->rows_count('cms_user_files','id!=0');
		$info['total_num_files'] = $total_num_filesblogs + $total_num_filesforum + $total_num_filesusers;
		$info['total_num_files_blogs'] = $total_num_filesblogs;
		$info['total_num_files_forum'] = $total_num_filesforum;
		$info['total_num_files_users'] = $total_num_filesusers;

		$total_num_filesblogs = $inDB->rows_count('cms_blog_files','id!=0 AND date_format(pubdate,"%Y%m%d")=date_format(NOW(),"%Y%m%d")');
		$total_num_filesforum = $inDB->rows_count('cms_forum_files','id!=0 AND date_format(pubdate,"%Y%m%d")=date_format(NOW(),"%Y%m%d")');
		$total_num_filesusers = $inDB->rows_count('cms_user_files','id!=0 AND date_format(pubdate,"%Y%m%d")=date_format(NOW(),"%Y%m%d")');
		$info['total_num_files_today'] = $total_num_filesblogs + $total_num_filesforum + $total_num_filesusers;
		$info['total_num_files_blogs_today'] = $total_num_filesblogs;
		$info['total_num_files_forum_today'] = $total_num_filesforum;
		$info['total_num_files_users_today'] = $total_num_filesusers;
//    				
		$info['total_num_comment'] = $inDB->rows_count('cms_comments','published=1');
		$info['total_num_comment_today'] = $inDB->rows_count('cms_comments','published=1 AND date_format(pubdate,"%Y%m%d")=date_format(NOW(),"%Y%m%d")');
		
		$info['total_num_comment_article'] = $inDB->rows_count('cms_comments',"published=1 AND target='article'");
		$info['total_num_comment_article_today'] = $inDB->rows_count('cms_comments',"published=1 AND date_format(pubdate,'%Y%m%d')=date_format(NOW(),'%Y%m%d') AND target='article'");
		
		$info['total_num_comment_photo'] = $inDB->rows_count('cms_comments',"published=1 AND target='photo'");
		$info['total_num_comment_photo_today'] = $inDB->rows_count('cms_comments',"published=1 AND date_format(pubdate,'%Y%m%d')=date_format(NOW(),'%Y%m%d') AND target='photo'");
		
		$info['total_num_comment_userphoto'] = $inDB->rows_count('cms_comments',"published=1 AND target='userphoto'");
		$info['total_num_comment_userphoto_today'] = $inDB->rows_count('cms_comments',"published=1 AND date_format(pubdate,'%Y%m%d')=date_format(NOW(),'%Y%m%d') AND target='userphoto'");
		
		$info['total_num_comment_blog'] = $inDB->rows_count('cms_comments',"published=1 AND target='blog'");
		$info['total_num_comment_blog_today'] = $inDB->rows_count('cms_comments',"published=1 AND date_format(pubdate,'%Y%m%d')=date_format(NOW(),'%Y%m%d') AND target='blog'");
		
//   
		$info['total_num_tag'] = $inDB->rows_count('cms_tags','id!=0');

		$info['total_num_tag_articles'] = $inDB->rows_count('cms_tags',"id!=0 AND target='content'");
		$info['total_num_tag_photos'] = $inDB->rows_count('cms_tags',"id!=0 AND target='photo'");
		$info['total_num_tag_uc'] = $inDB->rows_count('cms_tags',"id!=0 AND target='catalog'");
		$info['total_num_tag_blogs'] = $inDB->rows_count('cms_tags',"id!=0 AND target='blogpost'");
		$info['total_num_tag_userphotos'] = $inDB->rows_count('cms_tags',"id!=0 AND target='userphoto'");
//   
		$info['total_num_clubs'] = $inDB->rows_count('cms_clubs','published=1');
		$info['total_num_clubs_today'] = $inDB->rows_count('cms_clubs','published=1 AND date_format(pubdate,"%Y%m%d")=date_format(NOW(),"%Y%m%d")');
//   
		$total_num_photo = $inDB->rows_count('cms_photo_files','published=1');
		$total_num_filesusers = $inDB->rows_count('cms_user_photos','id!=0');
		$info['total_num_photo'] = $total_num_photo + $total_num_filesusers;
		$info['total_num_photo_album'] = $total_num_photo;
		$info['total_num_photo_users'] = $total_num_filesusers;

		$total_num_photo = $inDB->rows_count('cms_photo_files','published=1 AND date_format(pubdate,"%Y%m%d")=date_format(NOW(),"%Y%m%d")');
		$total_num_filesusers = $inDB->rows_count('cms_user_photos','id!=0 AND date_format(pubdate,"%Y%m%d")=date_format(NOW(),"%Y%m%d")');
		$info['total_num_photo_today'] = $total_num_photo + $total_num_filesusers;
		$info['total_num_photo_album_today'] = $total_num_photo;
		$info['total_num_photo_users_today'] = $total_num_filesusers;
//  
		$info['total_num_item'] = $inDB->rows_count('cms_uc_items','published=1');	
		$info['total_num_item_today'] = $inDB->rows_count('cms_uc_items','published=1 AND date_format(pubdate,"%Y%m%d")=date_format(NOW(),"%Y%m%d")');	
//  
		$info['total_num_articles'] = $inDB->rows_count('cms_content','published=1');	
		$info['total_num_articles_no'] = $inDB->rows_count('cms_content','published=0');	
		$info['total_num_articles_today'] = $inDB->rows_count('cms_content','published=1 AND date_format(pubdate,"%Y%m%d")=date_format(NOW(),"%Y%m%d")');	
		$info['total_num_articles_no_today'] = $inDB->rows_count('cms_content','published=0 AND date_format(pubdate,"%Y%m%d")=date_format(NOW(),"%Y%m%d")');	
//  
		$info['total_num_faq'] = $inDB->rows_count('cms_faq_quests','published=1');	
		$info['total_num_faq_today'] = $inDB->rows_count('cms_faq_quests','published=1 AND date_format(pubdate,"%Y%m%d")=date_format(NOW(),"%Y%m%d")');	

		$info['total_num_faq_no'] = $inDB->rows_count('cms_faq_quests','published=0');	
		$info['total_num_faq_no_today'] = $inDB->rows_count('cms_faq_quests','published=0 AND date_format(pubdate,"%Y%m%d")=date_format(NOW(),"%Y%m%d")');	
//  
		$info['total_num_polls'] = $inDB->rows_count('cms_polls','id!=0');	
		$info['total_num_polls_today'] = $inDB->rows_count('cms_polls','id!=0 AND date_format(pubdate,"%Y%m%d")=date_format(NOW(),"%Y%m%d")');
		
		$info['total_num_polls_logs'] = $inDB->rows_count('cms_polls_log','id!=0');	
//		$info['total_num_polls_today'] = $inDB->rows_count('cms_polls_log','id!=0 AND date_format(pubdate,"%Y%m%d")=date_format(NOW(),"%Y%m%d")');
//     
		$info['total_num_forum_threads'] = $inDB->rows_count('cms_forum_threads','id!=0');
		$info['total_num_forum_threads_today'] = $inDB->rows_count('cms_forum_threads','id!=0 AND date_format(pubdate,"%Y%m%d")=date_format(NOW(),"%Y%m%d")');
//     
		$info['total_num_forum_posts'] = $inDB->rows_count('cms_forum_posts','id!=0');
		$info['total_num_forum_posts_today'] = $inDB->rows_count('cms_forum_posts','id!=0&pubdate=NOW()');
//     
		$info['total_num_karma_plus'] = $inDB->rows_count('cms_user_karma','points>0');
		$info['total_num_karma_plus_today'] = $inDB->rows_count('cms_user_karma','points>0 AND date_format(senddate,"%Y%m%d")=date_format(NOW(),"%Y%m%d")');
		$info['total_num_karma_minus'] = $inDB->rows_count('cms_user_karma','points<0');
		$info['total_num_karma_minus_today'] = $inDB->rows_count('cms_user_karma','points<0 AND date_format(senddate,"%Y%m%d")=date_format(NOW(),"%Y%m%d")');
//     
		$info['total_num_rating_plus'] = $inDB->rows_count('cms_ratings','points>0');
		$info['total_num_rating_plus_today'] = $inDB->rows_count('cms_ratings','points>0 AND date_format(pubdate,"%Y%m%d")=date_format(NOW(),"%Y%m%d")');
		$info['total_num_rating_minus'] = $inDB->rows_count('cms_ratings','points<0');
		$info['total_num_rating_minus_today'] = $inDB->rows_count('cms_ratings','points<0 AND date_format(pubdate,"%Y%m%d")=date_format(NOW(),"%Y%m%d")');
//   
		$info['total_num_rating_plus'] = $inDB->rows_count('cms_ratings','points>0');
//      
		$info['total_num_wall'] = $inDB->rows_count('cms_user_wall','id!=0');
		$info['total_num_wall_today'] = $inDB->rows_count('cms_user_wall','id!=0&pubdate=NOW()');
//     
		$info['total_num_comments_votes_plus'] = $inDB->rows_count('cms_comments_votes','vote>0');
		$info['total_num_comments_votes_minus'] = $inDB->rows_count('cms_comments_votes','vote<0');
		$info['total_num_msg'] = $inDB->rows_count('cms_user_msg','id!=0');
		$info['total_num_msg_today'] = $inDB->rows_count('cms_user_msg','id!=0 AND date_format(senddate,"%Y%m%d")=date_format(NOW(),"%Y%m%d")');

		$sql = "SHOW TABLES";	
		$result = $inDB->query($sql);
		
		while($table = $inDB->fetch_assoc($result)){
			//var_export($table);
			if ( $table['Tables_in_sverdlov_first'] == 'cms_user_profile_visitor'){
				$info['total_num_visit_profile'] = $inDB->rows_count('cms_user_profile_visitor','user_id!=0');
				$info['total_num_visit_profile_today'] = $inDB->rows_count('cms_user_profile_visitor','date_format(visitdate,"%Y%m%d")=date_format(NOW(),"%Y%m%d")');
				break;
			}
		}
        
		$smarty = $inCore->initSmarty('modules', 'mod_statistic.tpl');
        $smarty->assign('info', $info);
        $smarty->assign('menuid', $menuid);
        $smarty->assign('cfg', $cfg);
        $smarty->display('mod_statistic.tpl');
		return true;
	}
?>
